{% extends "base.html" %}

{% block title %}ListPokemons{% endblock %}

{% block content %}


	<script type="text/javascript">

		$(document).ready(function(){

			console.log("Working")

			$.ajax({
				url: "/endpoint-pokemon/",
				method: "GET",
				//data: {"q": query},
				success: function(data){
					console.log(data)
				},
				error: function(data){
					console.log(data)
					console.log(error)
				}
			})
		});
		// $("#list-pokemons").on_ready(function(event){
		// 	event.preventDefault()
		// 	var this_ = $(this)
		// 	var formData = this_.serialize()
		// 	//console.log(formData)
		// 	//console.log(event)
		// 	//console.log(this_)


		// 	$.ajax({
		// 		url: "/endpoint-pokemon/create",
		// 		method: "POST",
		// 		data: formData,

		// 		success: function(data){
		// 			console.log(data)
		// 		},
		// 		error: function(data){
		// 			console.log(error)
		// 			console.log(data)
		// 		}
		// 	})

		// })

	</script>


	<table class="table">
		<th>Pokemon Name</th>
		<th>Pokemon Type</th>
		<th>Trainer</th>
		<th>Image</th>
		<th> |</th>
		<th>Actions</th>
		<th> |</th>
		{% for pokemon in object_list %}
			<tr>
				<td>{{ pokemon.pokemon_name }}</td>
				<td>{{ pokemon.pokemon_type }}</td>
				<td>{{ pokemon.trainer }}</td>
				<td>{{ pokemon.image }}</td>
				<td><a href="{% url 'detail' pokemon.id %}">DETAIL</a></td>
				<td><a href="{% url 'update2' pokemon.pk %}">UPDATE</a></td>
				<td><a href="{% url 'delete2' pokemon.pk %}">DELETE</a></td>
			</tr>
	{% endfor %}
	</table>



{% endblock %}
